Subject: Re: bug#31318: emacs-26 fns-tests-collate-sort failure on glibc 2.27

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 May 2018 19:11:02 +0300

> Cc: [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Mon, 30 Apr 2018 17:39:57 -0700
> 
> Regardless of whether one thinks the change was a good idea, the Emacs 
> tests should be portable to any POSIX platform, and since POSIX does not 
> specify how the en_US.utf8 locale works the tests should not insist on 
> either the old glibc implementation or the new one.

Absolutely.  But IMO it'd be a pity not to be able to test this
important functionality on Posix platforms.  So how about replacing
these tests with something that works in a non-en_US locale in a way
that is different from en_US?  The functions being tested signal an
error if a locale passed to them is not installed, so it should be
possible to test whether a locale is available before running a test
with it.

WDYT?